Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236483 - fallback to vnc on failure to start X -- but no network.
Summary: fallback to vnc on failure to start X -- but no network.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 00:01 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-20 20:12:10 UTC


Attachments (Terms of Use)

Description David Woodhouse 2007-04-15 00:01:15 UTC
When X fails to start, I get offered VNC. But the network isn't brought up first.

Comment 1 David Cantrell 2007-04-20 20:12:10 UTC
We call getLinkStatus in _isys which returns 1 for having a link, 0 for not
having a link, and -1 for unknown state.  In isys.py, we return that value to
the caller.  In network.py in hasActiveNetDev(), we say:

if isys.getLinkStatus(dev):
    return True

Hahahaha....we're dumb sometimes.

Committed fix to rawhide.


Note You need to log in before you can comment on or make changes to this bug.